package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolPresetParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolPresetParamMapper {
    List<PatrolPresetParam> selectPatrolPresetParamByPosId(Long posId);

    List<PatrolPresetParam> selectPatrolPresetParamList(PatrolPresetParam param);

    int insertPatrolPresetParam(PatrolPresetParam param);

    int insertPatrolPresetParamList(List<PatrolPresetParam> paramList);

    int updatePatrolPresetParam(PatrolPresetParam param);

    int deletePatrolPresetParamByPosParamId(Long paramId);

    int deletePatrolPresetParamByPatrolPresetPosId(String posId);

    int deletePatrolPresetParamByPresetPosIds(Long[] posIds);
}
